Nitro Enclaves are "secondary VMs" running in an EC2 instance.
Their only storage is the memory which is assigned to them.
Their only way to communicate with the primary is the usage of AF_VSOCK.
The "primary VM" releases some of its memory and cpus, which is then assigned to the enclaves.
This is done by nitro-enclaves-allocator.service, which uses
/etc/nitro_enclaves/allocator.yaml as configuration file.
This systemd service has to be enabled manually, and started:
  systemctl enable nitro-enclaves-allocator
  systemctl start nitro-enclaves-allocator

This command has to be used to run an existing Enclave Image File:
  nitro-cli run-enclave --eif-path /path/to/file.eif --cpu-count 2 --memory 512

How to build and run an example enclave:
  zypper in -y docker
  systemctl enable docker
  systemctl start docker
  docker pull opensuse/leap
  tee Dockerfile <<'_EOF_'
FROM opensuse/leap
ENV HELLO="Hello from the enclave side!"
COPY hello.sh /bin/hello.sh
CMD ["/bin/hello.sh"]
_EOF_
  tee hello.sh <<'_EOF_'
#!/bin/sh
# Copyright 2020 Amazon.com, Inc. or its affiliates. All Rights Reserved.
# SPDX-License-Identifier: Apache-2.0
count=123
while test $count -gt 0; do
    printf "[%4d] $HELLO\n" $count
    count=$((count-1))
    sleep 5
done
_EOF_
  chmod -v 555 *.sh
  docker build -t hello-enclave:1.0 ./
  nitro-cli build-enclave --docker-uri hello-enclave:1.0 --output-file hello.eif
  nitro-cli run-enclave --eif-path hello.eif --cpu-count 2 --memory 512 --debug-mode --attach-console
